const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const place_feature_links = sequelize.define(
    'place_feature_links',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  place_feature_links.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity















//end loop



    db.place_feature_links.belongsTo(db.places, {
      as: 'place',
      foreignKey: {
        name: 'placeId',
      },
      constraints: false,
    });

    db.place_feature_links.belongsTo(db.place_features, {
      as: 'feature',
      foreignKey: {
        name: 'featureId',
      },
      constraints: false,
    });




    db.place_feature_links.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.place_feature_links.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return place_feature_links;
};


